For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Tags

Search Tags

get

Search for Tags viewable by this user

Query parameters
tagIdintegerOptional

Filter by Tag Id

tagstringOptional

Filter by partial Tag

exactTagstringOptional

Filter by exact Tag

isSystemintegerOptional

Filter by isSystem flag

isRequiredintegerOptional

Filter by isRequired flag

haveOptionsintegerOptional

Filter by options: 1 = has options (IS NOT NULL), 0 = no options (IS NULL), omit for all

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/tag
GET /api/tag HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "tagId": 1,
    "tag": "text",
    "isSystem": 1,
    "isRequired": 1,
    "options": "text"
  }
]

Add a new Tag

post

Add a new Tag

Body
namestringOptional

Tag name

isRequiredintegerOptional

A flag indicating whether value selection on assignment is required

optionsstringOptional

A comma separated string of Tag options

Responses
201

successful operation

application/json

Class Tag

tagIdintegerOptional

The Tag ID

tagstringOptional

The Tag Name

isSystemintegerOptional

Flag, whether the tag is a system tag

isRequiredintegerOptional

Flag, whether the tag requires additional values

optionsstring · nullableOptional

An array of options assigned to this Tag

post/tag
POST /api/tag HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 47

"name='text'&isRequired=1&options='text'"
201

successful operation

[
  {
    "tagId": 1,
    "tag": "text",
    "isSystem": 1,
    "isRequired": 1,
    "options": "text"
  }
]

Tag search by ID

get

Get the Tag object specified by the provided tagId

Path parameters
tagIdintegerRequired

Numeric ID of the Tag to get

Responses
200

successful operation

application/json

Class Tag

tagIdintegerOptional

The Tag ID

tagstringOptional

The Tag Name

isSystemintegerOptional

Flag, whether the tag is a system tag

isRequiredintegerOptional

Flag, whether the tag requires additional values

optionsstring · nullableOptional

An array of options assigned to this Tag

get/tag/{tagId}
GET /api/tag/{tagId} HTTP/1.1
Accept: */*
200

successful operation

{
  "tagId": 1,
  "tag": "text",
  "isSystem": 1,
  "isRequired": 1,
  "options": "text"
}

Edit existing Tag

put

Edit existing Tag

Path parameters
tagIdintegerRequired

The Tag ID to Edit

Body
namestringOptional

Tag name

isRequiredintegerOptional

A flag indicating whether value selection on assignment is required

optionsstringOptional

A comma separated string of Tag options

Responses
201

successful operation

application/json

Class Tag

tagIdintegerOptional

The Tag ID

tagstringOptional

The Tag Name

isSystemintegerOptional

Flag, whether the tag is a system tag

isRequiredintegerOptional

Flag, whether the tag requires additional values

optionsstring · nullableOptional

An array of options assigned to this Tag

put/tag/{tagId}
PUT /api/tag/{tagId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 47

"name='text'&isRequired=1&options='text'"
201

successful operation

[
  {
    "tagId": 1,
    "tag": "text",
    "isSystem": 1,
    "isRequired": 1,
    "options": "text"
  }
]

Delete Tag

delete

Delete a Tag

Path parameters
tagIdintegerRequired

The Tag ID to delete

Responses
204

successful operation

No content

delete/tag/{tagId}
DELETE /api/tag/{tagId} HTTP/1.1
Accept: */*
204

successful operation

No content

Get Tag Item Usage Report

get

Get the records for the Tag item usage report

Path parameters
tagIdintegerRequired

Numeric ID of the Tag to get

Query parameters
sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

get/tag/usage/{tagId}
GET /api/tag/usage/{tagId} HTTP/1.1
Accept: */*
200

successful operation

No content

Last updated

Was this helpful?